Compile error: File import callback not supported

It doesn’t solve my problem
Note: nvm is already installed on Ubuntu terminal, You mean we should install windows version of nvm

1 Like

Hi @Mahdi321,

I am sorry that you are having this issue.
I recommend using Windows Subsystem for Linux (WSL), see: Solidity Smart Contract development on Windows

What version of node and npm are you using?

Hi @Mahdi321,

Were you able to resolve?

If you are deploying upgradeable contracts you may want to look at OpenZeppelin Upgrades Plugins for Truffle and Buidler: https://docs.openzeppelin.com/upgrades-plugins/1.x/